Bug 585404 - Bad provides in devmapper-event
Bad provides in devmapper-event
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: LVM and device-mapper development team
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 17:30 EDT by Dennis Gilmore
Modified: 2010-04-30 14:27 EDT (History)
13 users (show)

See Also:
Fixed In Version: lvm2-2.02.61-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-30 14:27:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2010-04-23 17:30:22 EDT
Description of problem:
trying to setup EPEL for EL-6 i hat a issue that prevents us from running mergerepo to setup buildroots

primary.xml:172101: parser error : attributes construct error
      <rpm:entry name="pkgconfig(devmapper-event)" flags="EQ" epoch="0" ver=""1.
                                                                              ^
primary.xml:172101: parser error : Couldn't find end of Start Tag entry line 172101
      <rpm:entry name="pkgconfig(devmapper-event)" flags="EQ" epoch="0" ver=""1.
                                                                              ^
running xmlint on the resulting primary.xml  the double "" in the pkgconfig provides prevents us from moving forward.

rpm -q --provides device-mapper-event-devel.x86_64
(2010-01-23)"  
pkgconfig(devmapper-event) = "1.02.43
device-mapper-event-devel = 1.02.43-1.el6
device-mapper-event-devel(x86-64) = 1.02.43-1.el6

the busted provides need fixing.

Version-Release number of selected component (if applicable):
device-mapper-event-devel-1.02.43-1.el6.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Alasdair Kergon 2010-04-23 18:54:09 EDT
Was fixed a while back in upstream/fedora and will get picked up automatically in our next refresh, hopefully within the next week.  If you need it quickly and don't have an easy workaround, please say.
Comment 3 RHEL Product and Program Management 2010-04-23 19:02:34 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Dennis Gilmore 2010-04-26 11:18:21 EDT
I cant setup epel until i have a fixed build
Comment 5 Dennis Gregorovic 2010-04-26 12:54:43 EDT
Sorry, I was looking at the wrong package.  Moving back to ASSIGNED until we have a build in RHEL.
Comment 6 Dennis Gilmore 2010-04-26 13:53:28 EDT
this was fixed in fedora with lvm2-2.02.62-2.fc13
Comment 7 Alasdair Kergon 2010-04-27 07:17:15 EDT
Done a one-off build with the same patch as f13 for now.

Note You need to log in before you can comment on or make changes to this bug.